Luxor PlatformAPI DocumentationCommanderReporting
Get performance history
Returns time-series performance data for a specified metric and date range.
Authorization
LuxorAPIKey authorization<token>
Use your API key here.
In: header
Query Parameters
site_ids?string
Comma-separated site UUIDs
miner_ids?string
Comma-separated miner IDs
metric*string
Performance metric to query
Value in
- "hashrate"
- "power_consumption"
- "temperature"
- "efficiency"
- "hashing_miners"
start_date*string
Start date (YYYY-MM-DD)
Format
dateend_date*string
End date (YYYY-MM-DD)
Format
datepage_number?integer
Range
1 <= valueDefault
1page_size?integer
Range
1 <= valueDefault
10Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/commander/performance/history?metric=hashrate&start_date=2026-02-01&end_date=2026-02-28"{ "timeseries": [ { "timestamp": "2026-02-20T12:00:00.000Z", "value": 34650.02 } ], "pagination": { "page_number": 1, "page_size": 1, "item_count": 0, "previous_page_url": null, "next_page_url": null }}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}